List Ledger TransactionsAsk AIget https://app.moderntreasury.com/api/ledger_transactionsQuery Paramsid[]array of stringsIf you have specific IDs to retrieve in bulk, you can pass them as query parameters delimited with id[]=, for example ?id[]=123&id[]=abc.id[]ADD stringledger_idstringTo query ledger transactions by their ledger_id, use this query parameter.ledger_account_idstringTo query ledger transactions by the presence of a ledger account on either side of the transaction, use this query parameter.metadatastringFor example, if you want to query for records with metadata key Type and value Loan, the query would be metadata%5BType%5D=Loan. This encodes the query parameters.effective_atdateUse gt (>), gte (>=), lt (<), lte (<=), or eq (=) to filter by effective_at. For example, for all dates after Jan 1 2000, use effective_at%5Bgt%5D=2000-01-01T00:00:00.000.posted_atdateUse gt (>), gte (>=), lt (<), lte (<=), or eq (=) to filter by the posted at timestamp. For example, for all times after Jan 1 2000 12:00 UTC, use posted_at%5Bgt%5D=2000-01-01T12:00:00Z.updated_atdateUse gt (>), gte (>=), lt (<), lte (<=), or eq (=) to filter by the posted at timestamp. For example, for all times after Jan 1 2000 12:00 UTC, use updated_at%5Bgt%5D=2000-01-01T12:00:00Z.created_atstringUse "gt" (>), "gte" (>=), "'lt" (<), "lte" (<=), or "eq" (=) to filter by the created at timestamp. For example, for all times after Jan 1 2000 12:00 UTC, use created_at%5Bgt%5D=2000-01-01T12:00:00Z.order_bystringOrder by created_ator effective_at in asc or desc order. For example, to order by effective_at asc, use order_by%5Beffective_at%5D=asc. Ordering by only one field at a time is supported.statusstringTo query ledger transactions by status, use this query parameter. Can be pending, posted, or archived.status[]array of stringsTo query ledger transactions by multiple statuses, use this query parameter delimited with status[]=. Can be pending, posted, or archived.status[]ADD stringexternal_idstringTo query ledger transactions by the external_id, use this query parameter. Ledger transactions are uniquely specified with external_id and ledger_id. Only one pending or posted ledger transaction will have this external ID in the ledger.ledger_account_settlement_idstringTo retrieve the itemized Ledger Transactions of an associated settlement, use this query parameter.reverses_ledger_transaction_idstringTo find reversal ledger transactions that reverses a ledger transaction, use this parameter.archived_reasonstringTo query ledger transactions that were auto-archived; currently only 'balance_lock_failure' for transactions that violated balance constraints.ledgerable_idstringIf the ledger transaction can be reconciled to another object in Modern Treasury, the ID of the ledgerable can be used to query the ledger transactions.ledgerable_typestringIf the ledger transaction can be reconciled to another object in Modern Treasury, the type of the ledgerable can be used to query the ledger transactions.after_cursorstringper_pageint32Defaults to 25amountobjectUse gt (>), gte (>=), lt (<), lte (<=), eq (=), or not_eq (!=) to filter by the ledger transaction amount. Only supported for single currency transactions.amount objectResponse 200200Updated 8 months ago